[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[scl.org] Question about bebugInfo and SCL packaging



Dear,

I try to make my first scl package:

-  the main spec bowtie.spec: https://paste.fedoraproject.org/paste/FtkPHPtms~1BBvf69d7wQQ

- the meta spec cnrgh-bowtie2343.spec: https://paste.fedoraproject.org/paste/DpduM9SxOCNUJ9F2WxmXPg


But while building the main spec I encounter this error:
--> Processing Dependency: cnrgh-bowtie_2.3.4.3-runtime for package: bowtie_2.3.4.3-bowtie-2.3.4.3-1.el7.x86_64 --> Processing Dependency: tbb for package: bowtie_2.3.4.3-bowtie-2.3.4.3-1.el7.x86_64 --> Processing Dependency: libtbb.so.2()(64bit) for package: bowtie_2.3.4.3-bowtie-2.3.4.3-1.el7.x86_64 --> Processing Dependency: libtbbmalloc_proxy.so.2()(64bit) for package: bowtie_2.3.4.3-bowtie-2.3.4.3-1.el7.x86_64 ---> Package bowtie_2.3.4.3-bowtie-debuginfo.x86_64 0:2.3.4.3-1.el7 will be installed --> Processing Dependency: bowtie_2.3.4.3-runtime for package: bowtie_2.3.4.3-bowtie-debuginfo-2.3.4.3-1.el7.x86_64
---> Package cnrgh-bowtie2343.x86_64 0:1.0.0-1.el7 will be installed
--> Processing Dependency: cnrgh-bowtie2343-bowtie(x86-64) for package: cnrgh-bowtie2343-1.0.0-1.el7.x86_64
---> Package cnrgh-bowtie2343-build.x86_64 0:1.0.0-1.el7 will be installed
---> Package cnrgh-bowtie2343-runtime.x86_64 0:1.0.0-1.el7 will be installed
---> Package cnrgh-bowtie2343-scldevel.x86_64 0:1.0.0-1.el7 will be installed
--> Running transaction check
---> Package bowtie_2.3.4.3-bowtie.x86_64 0:2.3.4.3-1.el7 will be installed
--> Processing Dependency: bowtie_2.3.4.3-runtime for package: bowtie_2.3.4.3-bowtie-2.3.4.3-1.el7.x86_64 --> Processing Dependency: cnrgh-bowtie_2.3.4.3-runtime for package: bowtie_2.3.4.3-bowtie-2.3.4.3-1.el7.x86_64 ---> Package bowtie_2.3.4.3-bowtie-debuginfo.x86_64 0:2.3.4.3-1.el7 will be installed --> Processing Dependency: bowtie_2.3.4.3-runtime for package: bowtie_2.3.4.3-bowtie-debuginfo-2.3.4.3-1.el7.x86_64
---> Package cnrgh-bowtie2343.x86_64 0:1.0.0-1.el7 will be installed
--> Processing Dependency: cnrgh-bowtie2343-bowtie(x86-64) for package: cnrgh-bowtie2343-1.0.0-1.el7.x86_64
---> Package tbb.x86_64 0:4.1-9.20130314.el7 will be installed
--> Finished Dependency Resolution
 You could try using --skip-broken to work around the problem
Error: Package: bowtie_2.3.4.3-bowtie-debuginfo-2.3.4.3-1.el7.x86_64 (/bowtie_2.3.4.3-bowtie-debuginfo-2.3.4.3-1.el7.x86_64)
           Requires: bowtie_2.3.4.3-runtime
Error: Package: cnrgh-bowtie2343-1.0.0-1.el7.x86_64 (/cnrgh-bowtie2343-1.0.0-1.el7.x86_64)
           Requires: cnrgh-bowtie2343-bowtie(x86-64)
Error: Package: bowtie_2.3.4.3-bowtie-2.3.4.3-1.el7.x86_64 (/bowtie_2.3.4.3-bowtie-2.3.4.3-1.el7.x86_64)
           Requires: bowtie_2.3.4.3-runtime
Error: Package: bowtie_2.3.4.3-bowtie-2.3.4.3-1.el7.x86_64 (/bowtie_2.3.4.3-bowtie-2.3.4.3-1.el7.x86_64)
           Requires: cnrgh-bowtie_2.3.4.3-runtime
 You could try running: rpm -Va --nofiles --nodigest
    ...
    ...


Thanks for your help
--

Jonathan MERCIER
Centre National de Recherche en Génomique Humaine (CNRGH)

Researcher computational biology

PhD, Jonathan MERCIER

Bioinformatics (LBI)

2, rue Gaston Crémieux

91057 Evry Cedex

Tel :(33) 1 60 87 83 44

Email :jonathan mercier cng fr <mailto:jonathan mercier cng fr>


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]